import { remove, Options, Callback } from './secure-rm';
import { validIDs, standards, Standard } from './standards';
import { eventEmitter } from './events';
import Unlink from './unlink';
import RmDir from './rmdir';
interface SecureRm {
    (path: string, options?: Options | Callback, callback?: Callback): typeof remove;
    event: typeof eventEmitter;
    standards: typeof standards;
    validIDs: typeof validIDs;
    Unlink: typeof Unlink;
    RmDir: typeof RmDir;
    Standard: typeof Standard;
    default: SecureRm;
}
declare const secureRmExport: SecureRm;
export = secureRmExport;
