/// <reference types="node" />
import glob from 'glob';
import { standards, Standard } from './standards';
interface Opts {
    customStandard?: Standard;
    maxBusyTries?: number;
    emfileWait?: number;
    disableGlob?: boolean;
    glob?: glob.IOptions | false;
}
export interface Options extends Opts {
    standard?: string;
}
export interface ParsedOptions extends Opts {
    standard: keyof typeof standards;
}
export declare type Callback = (err: NodeJS.ErrnoException | null, tree: string[]) => void;
export declare function remove(path: string, options?: Options): Promise<string[]>;
export declare function remove(path: string, callback: Callback): void;
export declare function remove(path: string, options: Options, callback: Callback): void;
export {};
