/// <reference types="node" />
import fs from 'fs';
interface StandardArgs {
    name?: string;
    passes?: number;
    description?: string;
    unlinkStandard: (uuid: string) => typeof fs.unlink;
    rmdirStandard?: (uuid: string) => typeof fs.rmdir;
}
export declare class Standard {
    name: string;
    passes: number;
    description: string;
    unlinkStandard: (uuid: string) => typeof fs.unlink;
    rmdirStandard: (uuid: string) => typeof fs.rmdir;
    constructor({ name, passes, description, unlinkStandard, rmdirStandard }: StandardArgs);
}
export declare const standards: {
    preview: Standard;
    randomData: Standard;
    randomByte: Standard;
    zeroes: Standard;
    ones: Standard;
    secure: Standard;
    'GOST_R50739-95': Standard;
    HMG_IS5: Standard;
    'AR380-19': Standard;
    VSITR: Standard;
    schneier: Standard;
    pfitzner: Standard;
    gutmann: Standard;
};
export declare const validIDs: "preview" | "randomData" | "randomByte" | "zeroes" | "ones" | "secure" | "GOST_R50739-95" | "HMG_IS5" | "AR380-19" | "VSITR" | "schneier" | "pfitzner" | "gutmann";
export {};
