/// <reference types="node" />
import fs from 'fs';
interface FileInfo {
    file: string;
    fileSize: number;
}
interface ForInterface {
    init: number;
    condition: (i: number) => Boolean;
    increment: (i: number) => number;
}
declare type StepFunction = (file: string, fileSize: number, uuid: string) => Promise<FileInfo>;
export default class Unlink {
    private steps;
    compile: (token: string) => typeof fs.unlink;
    constructor();
    private init;
    log(): this;
    then(fun: StepFunction): this;
    random(passes?: number): this;
    zeroes(passes?: number): this;
    ones(passes?: number): this;
    byte(data: number, passes?: number): this;
    byteArray(dataArray: number[], passes?: number): this;
    forByte({ init, condition, increment }: ForInterface): this;
    randomByte(passes?: number): this;
    complementary(): this;
    rename(): this;
    truncate(): this;
    unlink(): (token: string) => typeof fs.unlink;
}
export {};
